import numpy as np
import pandas as pd
from all_checks import checklist

checklist.add_check(depends=['missingDataFlag'], affects_calibration=True, description='record is missing')
def missing_data_flag_check(frame, parameters):
    return ~np.isnan(frame['missingDataFlag']) & (frame['missingDataFlag'] == 1)

